﻿using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using Telerik.Windows.Controls.GridView;

namespace TicketID_238397_ToggleRowDetails
{
    internal class DetailsToggleButton : ToggleButton
    {
        private readonly GridViewRow parentRow;

        public DetailsToggleButton(GridViewRow parentRow)
        {
            this.parentRow = parentRow;

            this.Init();
        }

        private void Init()
        {
            var b1 = new Binding("IsChecked")
                         {
                             Source = this,
                             Mode = BindingMode.TwoWay,
                             Converter = new BooleanToVisibilityConverter()
                         };
            this.parentRow.SetBinding(GridViewRow.DetailsVisibilityProperty, b1);

            var b2 = new Binding("IsChecked")
                         {
                             Source = this,
                             Mode = BindingMode.OneWay,
                             Converter = new CheckedToSymbolConverter()
                         };
            this.SetBinding(ContentControl.ContentProperty, b2);
        }
    }
}